Sftp2Transfer (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.wrappers
Class Sftp2Transfer

    java.lang.Object
      net.sf.jftp.net.wrappers.Sftp2Transfer

All Implemented Interfaces:
  java.lang.Runnable

    public class Sftp2Transfer

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`java.lang.Thread` | `runner`

Constructor Summary
`Sftp2Transfer(java.lang.String localPath, java.lang.String remotePath, java.lang.String file, java.lang.String user, java.lang.String pass, java.util.Vector listeners, java.lang.String type, java.lang.String keyfile, java.lang.String host, java.lang.String port)`

Method Summary
`Sftp2Connection` | `getSftpConnection()`
`void` | `prepare()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### runner

    public java.lang.Thread runner

Constructor Detail

### Sftp2Transfer

    public Sftp2Transfer(java.lang.String localPath,
                         java.lang.String remotePath,
                         java.lang.String file,
                         java.lang.String user,
                         java.lang.String pass,
                         java.util.Vector listeners,
                         java.lang.String type,
                         java.lang.String keyfile,
                         java.lang.String host,
                         java.lang.String port)

Method Detail

### prepare

    public void prepare()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getSftpConnection

    public Sftp2Connection getSftpConnection()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD